'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generate;

var _defaultTemplate = require('../templates/defaultTemplate');

var _defaultTemplate2 = _interopRequireDefault(_defaultTemplate);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _readableComponent(componentID, _ref) {
  var components = _ref.components;

  if (componentID === null) {
    return 'All';
  }

  return components[componentID];
}

function generate(config, changelog) {
  return (0, _defaultTemplate2.default)({
    readableComponent: function readableComponent(componentID) {
      return _readableComponent(componentID, config);
    },
    stringifyVersion: _utils.stringifyVersion
  }, changelog);
}