'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = toSemVerDirectories;

var _path = require('path');

var _glob = require('glob');

var _fsExtra = require('fs-extra');

function toSemVerDirectories(config) {
  (0, _glob.sync)((0, _path.join)(config.path, '*')).forEach(function (versionDirectoryName) {
    return (0, _fsExtra.moveSync)(versionDirectoryName, versionDirectoryName + '.0');
  });
}