'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('../../types');

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

exports.default = function () {
  var _ref = _asyncToGenerator(regeneratorRuntime.mark(function _callee(changelog) {
    var _changelog$migrate, from, to;

    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _changelog$migrate = changelog.migrate(), from = _changelog$migrate.from, to = _changelog$migrate.to;


            console.log('Successfully migrated from version ' + from + ' to version ' + to);

          case 2:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  function runMigrate(_x) {
    return _ref.apply(this, arguments);
  }

  return runMigrate;
}();