'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = getProjectConfig;

var _path = require('path');

var _jsYaml = require('js-yaml');

var _jsYaml2 = _interopRequireDefault(_jsYaml);

var _fsExtra = require('fs-extra');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getProjectConfig() {
  var configFilePath = (0, _path.resolve)('./.strangelogrc');
  var config = (0, _fsExtra.existsSync)(configFilePath) ? _jsYaml2.default.safeLoad((0, _fsExtra.readFileSync)(configFilePath).toString()) : {};

  return _extends({
    path: './changelog',
    components: {}
  }, config);
}